using System;
using System.Collections.Generic;

namespace prijatelji_2
{
    class Program
    {
        static int prioritet(int b, int c)
        {
            if (Math.Abs(b) > Math.Abs(c))return b;
            else return c;
        }
        static bool pozitivan(int n)
        {
            if (n < 0) return false;
            else return true;
        }
        static void Main(string[] args)
        {
            string[] input = Console.ReadLine().Split();
            int a, b;
            a = int.Parse(input[0]);
            b = int.Parse(input[1]);

            List<int> dr = new List<int>();
            List<int> pr = new List<int>();
            for (int i = 0; i < a; i++)
            {
                pr.Add(0);
            }

            int dr1;
            int[] f = new int[2];
            for (int i = 0; i < a; i++)
            {
                dr1 = int.Parse(Console.ReadLine());
                dr.Add(dr1);
            }
            for (int i = 0; i < b; i++)
            {
                input = Console.ReadLine().Split();
                f[0] = int.Parse(input[0]);
               f[1] = int.Parse(input[1]);
                if (pozitivan(prioritet(dr[f[0] - 1], dr[f[1] - 1])))
                {
                    pr[f[0] - 1]++;
                    pr[f[1] - 1]++;
                }
                else
                {
                    pr[f[0] - 1]--;
                    pr[f[1] - 1]--;
                }
            }
            int iz = 0;
            for (int i = 0; i < a; i++)
            {
                iz += pr[i] * dr[i];
            }
            Console.WriteLine(iz);
        }
    }
}